Search found 278 matches

Go to advanced search

by edi
Fri Mar 19, 2021 12:42 pm
Forum: Forum in Deutsch
Topic: Aktives_Dokument_in_Makro
Replies: 5
Views: 206

Re: Aktives_Dokument_in_Makro

Gibt es eine Möglichkeit sich den Dokumentennamen als String ausgeben zu lassen? >>> obj=App.ActiveDocument >>> obj.Name 'Unbenannt' >>> Es müsste auch import FreeCAD obj = App.ActiveDocument obj.getObject("Group").addObject(obj.getObject("Sketch")) funktionieren, aber nur wenn deine Gruppe "Group"...
by edi
Fri Mar 19, 2021 11:07 am
Forum: Forum in Deutsch
Topic: Linienstärke in Tech Draw ändern
Replies: 32
Views: 2112

Re: Linienstärke in Tech Draw ändern

@JB_Hicks: Du kannst dir das Makro TechDrawTools.FCMacro auch 'händisch' herunterladen: - Erzeugen eines neuen leeren Makros: Makro - Makros - Erstellen - Öffnen von https://github.com/FreeCAD/FreeCAD-macros/blob/master/TechDraw/TechDrawTools.FCMacro - Das Python-Programm (798 Zeilen) mit Copy/Paste...
by edi
Wed Mar 17, 2021 7:48 am
Forum: Forum in Deutsch
Topic: Linienstärke in Tech Draw ändern
Replies: 32
Views: 2112

Re: Linienstärke in Tech Draw ändern

Lade dir das Macro: TechDrawTools mit dem Addon Manager herunter. Dort kannst du für selbst erzeugte Linien (Mittellinien etc.) die Strichdicke (0.25, 0.35, 0.5) die Linienart und die Farbe einstellen und ändern. Das Macro kann aber noch vieles mehr. (Symbolische Gewinde, Mittellinien bei Lochkreise...
by edi
Tue Mar 16, 2021 5:17 pm
Forum: Python scripting and macros
Topic: Enable Expressions for Inputfields in Macros [SOLVED]
Replies: 7
Views: 463

Re: Enable Expressions for Inputfields in Macros

Try to realise the input fields using QLineEdit
by edi
Sun Mar 14, 2021 4:51 pm
Forum: Part Design module development
Topic: Feature: offset tool in sketcher
Replies: 86
Views: 9427

Re: Feature: offset tool in sketcher

Just to contribute, I found that adding a line if App.Version()[5].find('LinkStage3') == 0: import draftguitools.gui_trackers as DraftTrackers accounts for LinkStage3 fork, so it works there as well, as LinkStage3 has neither 0.18 nor 0.19 in its version description, which fails to import the Draft...
by edi
Sat Mar 13, 2021 6:02 pm
Forum: Python scripting and macros
Topic: Another placement question, reading....
Replies: 13
Views: 675

Re: Another placement question, reading....

I confirm with you, Tait Bryant angles are fixed order XY'Z'' Euler rotations. But I do not recognize this: This code could be useful to see how the rotation are internally stored as quaternions, quat[] and so give the order a quaternion is a list of 4 values. A Quaternion-rotation is independent of...
by edi
Sat Mar 13, 2021 8:48 am
Forum: Python scripting and macros
Topic: Getting clicked coords in Sketcher.
Replies: 3
Views: 189

Re: Getting clicked coords in Sketcher.

In
https://forum.freecadweb.org/viewtopic. ... 9&start=20
you can find SketcherFilletCornerPoint.FCMacro. In this macro in an open sketch two lines are selected using mouse clicks.
by edi
Fri Mar 12, 2021 5:49 pm
Forum: Python scripting and macros
Topic: Another placement question, reading....
Replies: 13
Views: 675

Re: Another placement question, reading....

You could also do ptn = Vector(rotC.x * -1, rotC.y * -1,rotC.z * -1) m = obj.Placement.Matrix m.move(ptn) m.rotateX(angx) m.rotateY(angy) m.rotateZ(angz) m.move(rotC) obj.Placement.Matrix = m Euler rotation forms a chain of rotation operations. Their order is important . If you twist an object firs...
by edi
Thu Mar 11, 2021 5:02 pm
Forum: Python scripting and macros
Topic: Another placement question, reading....
Replies: 13
Views: 675

Re: Another placement question, reading....

freedman wrote:
Thu Mar 11, 2021 3:50 pm
Question: How do I get the placement rotation vector a,b,c into variable form.

Code: Select all

my_part.Placement.Rotation.Axis
returns an app.Vector.
by edi
Wed Mar 10, 2021 12:56 pm
Forum: TechDraw
Topic: In Techdraw, Dimensions getting changed after changing view scale to 2:1 from 1:1.
Replies: 14
Views: 956

Re: In Techdraw, Dimensions getting changed after changing view scale to 2:1 from 1:1.

So Will I have to live with this issue or is there any solution ? I recommend generating technical drawings in three steps: 1. create all drawings (views, sections, details) in the required scale and position them in the template. 2. add additional objects (center lines, cosmetic threads etc.) 3. a...

Go to advanced search